package com.lz.modules.sys.entity.app;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* </p>*业绩详情表
* @author quyixiao
* @since 2020-12-03
*/

@Data
@TableName("lz_result_detail")
@ApiModel(value = "业绩详情表")
public class ResultDetail implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //备份id，本表得id
    @ApiModelProperty(value = "备份id，本表得id", name = "backId")
    private Long backId;
    //是否为备份，0非备份，1备份值
    @ApiModelProperty(value = "是否为备份，0非备份，1备份值", name = "isBack")
    private Integer isEdit;
    //1，业绩，2文化价值观
    @ApiModelProperty(value = "1，业绩，2文化价值观", name = "type")
    private Integer type;
    //目标
    @ApiModelProperty(value = "目标", name = "target")
    private String target;
    //关键结果
    @ApiModelProperty(value = "关键结果", name = "keyResult")
    private String keyResult;
    //关键结果_3.5标准
    @ApiModelProperty(value = "关键结果_3.5标准", name = "keyResult35")
    private String keyResult35;
    //关键结果3.7分标准
    @ApiModelProperty(value = "关键结果3.7分标准", name = "keyResult37")
    private String keyResult37;
    //考核权重
    @ApiModelProperty(value = "考核权重", name = "checkWeight")
    private BigDecimal checkWeight;
    //考核结果
    @ApiModelProperty(value = "考核结果", name = "checkResult")
    private String checkResult;
    //直属上级评分
    @ApiModelProperty(value = "直属上级评分", name = "superScore")
    private String superScore;
    //得分
    @ApiModelProperty(value = "得分", name = "acquireScore")
    private BigDecimal acquireScore;
    //评分说明
    @ApiModelProperty(value = "评分说明", name = "scoreComment")
    private String scoreComment;
    //记录id 
    @ApiModelProperty(value = "记录id ", name = "recordId")
    private Long recordId;
    //用户id
    @ApiModelProperty(value = "用户id", name = "staffId")
    private Long staffId;
    //优先级，从大到小
    @ApiModelProperty(value = "优先级，从大到小", name = "priority")
    private Integer priority;
    //维度id lz_result_model的id
    @ApiModelProperty(value = "维度id lz_result_model的id", name = "modelId")
    private Long modelId;
    //进度
    @ApiModelProperty(value = "进度", name = "processRate")
    private BigDecimal processRate;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 备份id，本表得id 
     * @return
     */
    public Long getBackId() {
        return backId;
    }
    /**
     * 备份id，本表得id 
     * @param backId
     */
    public void setBackId(Long backId) {
        this.backId = backId;
    }

    /**
     * 是否为备份，0非备份，1备份值 
     * @return
     */
    public Integer getIsBack() {
        return isEdit;
    }
    /**
     * 是否为备份，0非备份，1备份值 
     * @param isBack
     */
    public void setIsBack(Integer isBack) {
        this.isEdit = isBack;
    }

    /**
     * 1，业绩，2文化价值观 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1，业绩，2文化价值观 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 目标 
     * @return
     */
    public String getTarget() {
        return target;
    }
    /**
     * 目标 
     * @param target
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }

    /**
     * 关键结果_3.5标准 
     * @return
     */
    public String getKeyResult35() {
        return keyResult35;
    }
    /**
     * 关键结果_3.5标准 
     * @param keyResult35
     */
    public void setKeyResult35(String keyResult35) {
        this.keyResult35 = keyResult35;
    }

    /**
     * 关键结果3.7分标准 
     * @return
     */
    public String getKeyResult37() {
        return keyResult37;
    }
    /**
     * 关键结果3.7分标准 
     * @param keyResult37
     */
    public void setKeyResult37(String keyResult37) {
        this.keyResult37 = keyResult37;
    }

    /**
     * 考核权重 
     * @return
     */
    public BigDecimal getCheckWeight() {
        return checkWeight;
    }
    /**
     * 考核权重 
     * @param checkWeight
     */
    public void setCheckWeight(BigDecimal checkWeight) {
        this.checkWeight = checkWeight;
    }

    /**
     * 考核结果 
     * @return
     */
    public String getCheckResult() {
        return checkResult;
    }
    /**
     * 考核结果 
     * @param checkResult
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    /**
     * 直属上级评分 
     * @return
     */
    public String getSuperScore() {
        return superScore;
    }
    /**
     * 直属上级评分 
     * @param superScore
     */
    public void setSuperScore(String superScore) {
        this.superScore = superScore;
    }

    /**
     * 得分 
     * @return
     */
    public BigDecimal getAcquireScore() {
        return acquireScore;
    }
    /**
     * 得分 
     * @param acquireScore
     */
    public void setAcquireScore(BigDecimal acquireScore) {
        this.acquireScore = acquireScore;
    }

    /**
     * 评分说明 
     * @return
     */
    public String getScoreComment() {
        return scoreComment;
    }
    /**
     * 评分说明 
     * @param scoreComment
     */
    public void setScoreComment(String scoreComment) {
        this.scoreComment = scoreComment;
    }

    /**
     * 记录id  
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录id  
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 用户id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 优先级，从大到小 
     * @return
     */
    public Integer getPriority() {
        return priority;
    }
    /**
     * 优先级，从大到小 
     * @param priority
     */
    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    /**
     * 维度id lz_result_model的id 
     * @return
     */
    public Long getModelId() {
        return modelId;
    }
    /**
     * 维度id lz_result_model的id 
     * @param modelId
     */
    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    /**
     * 进度
     * @return
     */
    public BigDecimal getProcessRate() {
        return processRate;
    }
    /**
     * 进度
     * @param processRate
     */
    public void setProcessRate(BigDecimal processRate) {
        this.processRate = processRate;
    }
    @Override
    public String toString() {
        return "ResultDetail{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",backId=" + backId +
                ",isBack=" + isEdit +
                ",type=" + type +
                ",target=" + target +
                ",keyResult=" + keyResult +
                ",keyResult35=" + keyResult35 +
                ",keyResult37=" + keyResult37 +
                ",checkWeight=" + checkWeight +
                ",checkResult=" + checkResult +
                ",superScore=" + superScore +
                ",acquireScore=" + acquireScore +
                ",scoreComment=" + scoreComment +
                ",recordId=" + recordId +
                ",staffId=" + staffId +
                ",priority=" + priority +
                ",modelId=" + modelId +
                ",processRate=" + processRate +
                "}";
    }
}